漏洞信息详情

Apple CUPS 缓冲区错误漏洞

漏洞简介

Apple CUPS是美国苹果(Apple)公司的一套开源的用于OS X和类Unix系统的打印系统。该系统基于Internet打印协议(IPP),提供大多数PostScript和raster打印机服务。

Apple CUPS中的‘asn1_get_packed’函数存在缓冲区错误漏洞。攻击者可利用该漏洞造成CUPS崩溃。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://github.com/apple/cups/commit/f24e6cf6a39300ad0c3726a41a4aab51ad54c109

参考网址

来源:usn.ubuntu.com

链接:https://usn.ubuntu.com/4105-1/

来源:security-tracker.debian.org

链接:https://security-tracker.debian.org/tracker/DLA-1893-1

来源:vigilance.fr

链接:https://vigilance.fr/vulnerability/CUPS-buffer-overflow-via-SNMP-30086

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2019.3180/

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2019.3214/

受影响实体

    暂无